%define release_name Laughin
%define dist_version 14

Summary:	Fuduntu customizations package
Name:		fuduntu-customizations
Version:	14
Release:	9.6
License:	GPLv2
Group:		System Environment/Base
URL:		http://www.fuduntu.org
Source:		%{name}-%{version}.tar.bz2
Requires:	fuduntu-release

Requires:	avant-window-navigator
Requires:	awn-extras-applets
Requires:	chkconfig

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Tweaks and configuration items used to create Fuduntu

%prep
%setup -q

%build

%pre
#if [ -e "/etc/rpm/macros.lang" ]; then
#  rm /etc/rpm/macros.lang 2>/dev/null || true
#fi

%post

### Fix issue with imgcreate macro (by removing it)
if [ -e "/etc/rpm/macros.imgcreate" ]; then
  rm /etc/rpm/macros.imgcreate >/dev/null 2>&1 || true
fi

### Temporarily hide gnome-help icon in System menu to hide problem with yelp
if [ -e "/usr/share/applications/gnome-yelp.desktop" ]; then
  mv /usr/share/applications/gnome-yelp.desktop /var/fuduntu >/dev/null 2>&1 || true
fi

### Remove the old cgroups cruft
#if [ "$(grep cgroup /etc/rc.local)" ]; then
#  sed -i '/mkdir -p/,/mkdir -m/d' /etc/rc.local
#fi

#if [ "$(grep cgroup/cpu /etc/bashrc)" ]; then
#  sed -i '/if \[ \"\$PS1\" \] ; then/,/fi/d' /etc/bashrc
#fi

#chkconfig cgroups on >/dev/null 2>&1 || true
#/etc/init.d/cgroups start >/dev/null 2>&1 || true

if [ -e "/var/fuduntu/firefox" ]; then
  rm /var/fuduntu/firefox 2>/dev/null || true
fi

chkconfig fuduntutweak on >/dev/null 2>&1 || true
/etc/init.d/fuduntutweak start >/dev/null 2>&1 || true

### Disable OOo quickstart until I can fix transparency
#if [ -e "/etc/skel/.config/autostart/qstart.desktop" ]; then
#  rm /etc/skel/.config/autostart/qstart.desktop 2>/dev/null
#fi
#
#if [ -e "/etc/xdg/autostart/qstart.desktop" ]; then
#  rm /etc/xdg/autostart/qstart.desktop 2>/dev/null
#fi

### Adjust font rendering for apps like OOo
#echo -n "Correcting font rendering for users: "
#for i in $(awk -F: '$6 ~ /\/home/ && $3 >= 500 {print $1}' /etc/passwd);
#do
#  UHOME=$(awk -F: "/$i/ {print \$6}" /etc/passwd)
#
#  if [ ! "$(grep Xft.lcdfilter $UHOME/.Xresources 2>/dev/null)" ]; then
#    echo -n $i" "
#    cat /etc/skel/.Xresources >> $UHOME/.Xresources 2>/dev/null
#    /bin/chown $i $UHOME/.Xresources 2>/dev/null
#    /bin/chmod 750 $UHOME/.Xresources 2>/dev/null
#  else
#    /bin/chown $i $UHOME/.Xresources 2>/dev/null
#    /bin/chmod 750 $UHOME/.Xresources 2>/dev/null
#  fi
#done
#echo ""

### Disabling rarely used services
#if [ ! -e "/var/fuduntu/services" ]; then
#  echo -n "Disabling rarely used services: "
#  for s in abrtd atd auditd avahi-daemon ip6tables iscsi iscsid mdmonitor portreserve livesys livesys-late
#  do
#    echo -n "$s "
#    chkconfig $s off
#  done
#  touch /var/fuduntu/services
#fi

### Update to correct missing grub symlinks.
#if [ ! -L "/etc/grub.conf" ]; then
#  cp /etc/grub.conf /boot/grub 2>/dev/null || true
#  cd /etc
#  rm -f /etc/grub.conf 2>/dev/null || true
#  ln -s /boot/grub/grub.conf /etc/grub.conf 2>/dev/null || true
#fi
#if [ ! -L "/boot/grub/menu.lst" ]; then
#  rm -f /boot/grub/menu.lst 2>/dev/null || true
#  cd /boot
#  ln -s /boot/grub/grub.conf /boot/grub/menu.lst 2>/dev/null || true
#fi

### Lets not get rid of docs, and languages users are starting to need them.
#if [ -e "/etc/rpm/macros.lang" ]; then
#  rm /etc/rpm/macros.lang
#fi

#if [ -e "/etc/rpm/macros.nodocs" ]; then
#  rm /etc/rpm/macros.nodocs
#fi

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/prompt.sh $RPM_BUILD_ROOT/etc/profile.d
install -m 755 tweaks/etc/profile.d/beesu-gksu.sh $RPM_BUILD_ROOT/etc/profile.d

install -d -m 755 $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 755 tweaks/etc/xdg/autostart/fontscale.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 755 tweaks/etc/xdg/autostart/compiz-runonce.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 755 tweaks/etc/xdg/autostart/randombg.desktop $RPM_BUILD_ROOT/etc/xdg/autostart

install -d -m 755 $RPM_BUILD_ROOT/usr/share/applications
install -m 755 tweaks/usr/share/applications/fuduntu-panel.desktop $RPM_BUILD_ROOT/usr/share/applications

install -d -m 755 $RPM_BUILD_ROOT/etc/skel
install -m 755 tweaks/etc/skel/.Xresources $RPM_BUILD_ROOT/etc/skel

install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 tweaks/etc/init.d/fuduntutweak $RPM_BUILD_ROOT/etc/init.d

install -d -m 755 $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/acpi $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/deadline $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/firefox $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/flash $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/grub  $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/ramdisk $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/fonts $RPM_BUILD_ROOT/etc/tweaks.d
install -m 755 tweaks/etc/tweaks.d/services $RPM_BUILD_ROOT/etc/tweaks.d

install -d -m 755 $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
install -m 644 tweaks/etc/X11/xorg.conf.d/50-synaptics.conf $RPM_BUILD_ROOT/etc/X11/xorg.conf.d

install -d -m 755 $RPM_BUILD_ROOT/usr/local/bin
install -m 755 tweaks/usr/local/bin/fontscale.sh $RPM_BUILD_ROOT/usr/local/bin
install -m 755 tweaks/usr/local/bin/awn-runonce.sh $RPM_BUILD_ROOT/usr/local/bin/awn-runonce.sh
install -m 755 tweaks/usr/local/bin/awn-startup.sh $RPM_BUILD_ROOT/usr/local/bin/awn-startup.sh
install -m 755 tweaks/usr/local/bin/compiz-check $RPM_BUILD_ROOT/usr/local/bin/compiz-check
install -m 755 tweaks/usr/local/bin/compiz-runonce.sh $RPM_BUILD_ROOT/usr/local/bin/compiz-runonce.sh
install -m 755 tweaks/usr/local/bin/randombg.sh $RPM_BUILD_ROOT/usr/local/bin/randombg.sh

install -d -m 755 $RPM_BUILD_ROOT/usr/local/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/init.d/fuduntutweak
/etc/tweaks.d/acpi
/etc/tweaks.d/deadline
/etc/tweaks.d/firefox
/etc/tweaks.d/flash
/etc/tweaks.d/grub
/etc/tweaks.d/ramdisk
/etc/tweaks.d/fonts
/etc/tweaks.d/services
/etc/skel/.Xresources
/etc/profile.d/prompt.sh
/etc/profile.d/beesu-gksu.sh
/etc/X11/xorg.conf.d/50-synaptics.conf
/usr/local/bin/awn-runonce.sh
/usr/local/bin/awn-startup.sh
/usr/local/bin/compiz-check
/usr/local/bin/compiz-runonce.sh
/usr/local/bin/fontscale.sh
/usr/local/bin/randombg.sh
/etc/xdg/autostart/fontscale.desktop
/etc/xdg/autostart/compiz-runonce.desktop
/etc/xdg/autostart/randombg.desktop
/usr/share/applications/fuduntu-panel.desktop

%changelog
* Thu Mar 30 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-6
- Tap to click in GDM

* Thu Mar 23 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-5
- Move tweaks to /etc/tweaks.d (cleanup)

* Thu Mar 19 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-4
- Remove cgroups tweak (no longer needed with 2.6.38)

* Thu Mar 10 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-3
- Fix grub links bug

* Thu Mar 03 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-2
- Update random wallpaper chooser for new default wallpaper

* Wed Mar 02 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.9-1
- Speed up AWN Runonce and add simple command line options
- Alias beesu to gksu for compatibility
- Set a random background on first login
- Icon for Fuduntu Forum added to AWN and Applications menu

* Wed Feb 23 2011 Andrew Wyatt <andrew@fuduntu.org> - 14.8-23
- Additional bottom panel preferences
- Disable rarely used services by default
- Add Chromium to AWN as a default (will be hidden if not installed)

* Tue Feb 22 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-21
- Convert panel chooser to become a preference

* Thu Feb 16 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-20
- Fix panel restore to also restore trash and plugged in device icons
- Fix compiz check to error out properly
- Fix AWN runonce to detect metacity properly

* Thu Feb 15 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-17
- Update prompt colorization to only colorize bash
- Add an option to restore bottom panel to awn tool

* Thu Feb 10 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-16
- Compiz autodetect + tweak
- AWN Auto-install + tweak + custom startup script
- Move fontscale.sh to /usr/local/bin
* Sat Jan 29 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-10
- Fix permissions on /tmp found after kickstart patch
* Sat Jan 25 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-8
- Re-apply IO scheduler tweak here
* Sat Jan 24 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-8
- Fix fontscale issue with multiple monitors
* Sat Jan 23 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-6
- Fix a problem with the RPM macros (macros.imgcreate)
- Mask an issue with yelp until it can be resolved
- Empty the RH bugzilla reporting configuration file since it can't be deleted or uninstalled.
* Sat Jan 22 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-4
- Add fontscale - dynamically adjust fonts based on screensize (Runs only once on login)
* Tue Jan 11 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-2
- Follow the firefox release to replace the default start page
* Thu Jan 08 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.8-1
- I was wrong, cgroups is still needed until 2.6.38
* Wed Jan 05 2011 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-7
- No longer remove docs and language files
- Correct GRUB symlink if it's broken (needed for future kernel update)
* Thu Dec 23 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14.7-6
- Correct font rendering for apps like OOo
* Sat Dec 11 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-7.3
- Disabled nodocs macro while troubleshooting incompatibilty with VirtualBox
- Altered firefox tweak to replace the right start page
* Fri Dec 10 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.1
- Cleaned up firefox tweak
* Thu Dec 09 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-7.0
- Retired deadline check since it is now in-kernel
- Altered fuduntu tweak script to run once for each tweak
- Do not install documentation with RPMs by default
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com - 14-6.2
- Moved some tweaks to init script
* Fri Dec 03 2010 Andrew Wyatt <andrew.wyatt@fewt.com> - 14-6.1
- Created to correct issues when building ISO from kickstart
- All tweaks moved here
